/**************************************************************************

    URPO

    Unix Remote Printing Operation
    Copyright (c) Arto Hyvättinen 2010

    This file is part of URPO.

    URPO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    URPO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


**************************************************************************/

#ifndef DEBUGCONSOLE_H
#define DEBUGCONSOLE_H

#include <QTextBrowser>

/*! Show debug messages

  @author Arto Hyvättinen
  @date 2010-06-13
  @version 0.1

  Show debug messages in QTextBrowser.
  Show everything received via debugMessage() slot.


  */

class DebugConsole : public QTextBrowser
{
    Q_OBJECT
public:
    explicit DebugConsole(QWidget *parent = 0);

signals:

public slots:
    void debugMessage(QString message);

};

#endif // DEBUGCONSOLE_H
